summaryrefslogtreecommitdiff
path: root/putman.sh
diff options
context:
space:
mode:
Diffstat (limited to 'putman.sh')
-rw-r--r--putman.sh23
1 files changed, 23 insertions, 0 deletions
diff --git a/putman.sh b/putman.sh
new file mode 100644
index 0000000..4aef625
--- /dev/null
+++ b/putman.sh
@@ -0,0 +1,23 @@
+#!/bin/sh
+
+# putman.sh - install a man page according to local custom
+# vixie 27dec93 [original]
+#
+# $Id:$
+
+PAGE=$1
+DIR=$2
+
+SECT=`expr $PAGE : '[a-z]*.\([0-9]\)'`
+
+[ -d $DIR/man$SECT ] && {
+ set -x
+ cp $PAGE $DIR/man$SECT/$PAGE
+ set +x
+} || {
+ set -x
+ nroff -man $PAGE >$DIR/cat$SECT/`basename $PAGE .$SECT`.0
+ set +x
+}
+
+exit 0